## tex-common 1.10

=== debian/changelog ===
tex-common (1.10) unstable; urgency=low

  * update-fontlang:
       - properly handle file paths containing spaces;
       - when the jadetex or xmltex snippet is not included, write an
         explanation to fmtutil.cnf;
       - only trigger special behavior on 40jadetex.cnf, not on
         *40jadetex.cnf; same thing with 40xmltex.cnf and
         10texlive-latex-base.cnf;
       - use 0 and 1 instead of "false" and "true" for $seen_latex in order
         to be consistent with the rest of the script.
    [florent]

  * add warning to the pod documentation / man page of dh_installtex that
    it will add management calls to *all* packages if not instructed
    otherwise (Closes: #400742) [np]

  * remove duplicate TEXDOC configuration in 45TeXinputs.cnf which gave
    .html a higher priority then pdf.gz. Thanks Jörg. (Closes: #431610) [np]

  * Remove some outdated stuff in TeX-on-Debian [np]

  * remove the tetex part in TEXMFDIST, remove TETEXDIR from TEXMFCNF [np]

  * add Vcs-Svn and Vcs-Browser fields to debian/control [np]

  * update debconf template and package descriptions in control file
    (Closes: #447689) [hilmar-guest]

  * l10n updates + additions [hilmar-guest]
    - Basque (Closes: #448485)
    - Catalan
    - Czech (Closes: #449263)
    - Danish
    - Dutch
    - Finnish (Closes: 448291)
    - French (Closes: #450704)
    - Galician (Closes: #448232)
    - German (Closes: #448245)
    - Italian (Closes: #448367)
    - Japanese (Closes: #448680)
    - Korean (Closes: #448436)
    - Lithuanian (Closes: #448705)
    - Norwegian Bokmål (Closes: #450911)
    - Portuguese (Closes: #449234)
    - Portuguese/Brazil
    - Russian (Closes: #450726)
    - Romanian
    - Spanish (Closes: #448541)
    - Swedish
    - Turkish
    - Vietnamese

 -- Norbert Preining <preining@debian.org>  Wed, 21 Nov 2007 09:26:01 +0100

=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 4.0.0), po-debconf
Build-Depends-Indep: debiandoc-sgml, eperl
Standards-Version: 3.7.2.0
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/

Package: tex-common
Architecture: all
Depends: ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39)
Suggests: debhelper (>= 4.0)
Replaces: tetex-base (<= 3.0-10)
Conflicts: tetex-bin (<= 3.0-4), tetex-base (<= 3.0-3)
Description: common infrastructure for building and installing TeX
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System.
 .
 It also contains debhelper-like programs useful for building TeX
 packages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTDIR=$(CURDIR)/debian/tex-common

bin_scripts=dh_installtex update-fontlang
sbin_scripts=update-texmf
nonbin_scripts=tpm2licenses Tpm.pm FileUtils.pm debianize-updmap

sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) 

bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) 

nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script)) texmf/web2c/mktex.cnf

# create maintainer scripts etc.
EPERL_FILES := debian/common.functions debian/postinst debian/postrm debian/config debian/preinst
eperl_sourcefiles=debian/variables debian/COPYRIGHT.scripts debian/postinst.functions \
   debian/common.variables debian/common.functions debian/postrm.functions

# Eperl is simply great: thanks, Davide!
% :: %.in $(eperl_sourcefiles) 
	eperl -k -P -o $@ $<

# Override the general rule for eperl-generated files in order to avoid a
# circular dependency (debian/common.functions is listed in
# $(eperl_sourcefiles)).
debian/common.functions: debian/common.functions.in debian/common.variables
	eperl -k -P -o $@ $<

build: build-stamp

build-stamp: $(EPERL_FILES) debian/po/templates.pot
	dh_testdir
	$(check-svn)

        # Add here commands to compile the package.
	cd doc; $(MAKE)
	cd scripts; pod2man dh_installtex > dh_installtex.1

	touch build-stamp

debian/po/templates.pot: debian/templates
	debconf-updatepo
	grep "Last-Translator" debian/po/*.po | \
	  sed -e 's/.*\(<.*@.*>\).*/\1, /g' | \
	  tr "\n" " " | sed -e 's/,  $$/\n/' \
	  > debian/recent-translators

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

        # Add here commands to clean up after the build process.
	cd doc; $(MAKE) clean
	-rm $(EPERL_FILES)
	debconf-updatepo

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

        # Add here commands to install the package into debian/tex-common.
	cd doc; $(MAKE) install DESTDIR=$(INSTDIR)/usr/share/doc/tex-common
	cp conf/fmt.d/00tex.cnf $(INSTDIR)/etc/texmf/fmt.d/
	cp conf/language.d/00tex.cnf $(INSTDIR)/etc/texmf/language.d/
        # ucf files
	cp conf/texmf.d/*cnf $(INSTDIR)/usr/share/tex-common/
	cp conf/updmap.d/00updmap.cfg $(INSTDIR)/usr/share/tex-common/
	cp -a debian/md5sums/* $(INSTDIR)/usr/share/tex-common/
	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
	cp $(bin_installfiles) $(INSTDIR)/usr/bin/
	cp $(nonbin_installfiles) $(INSTDIR)/usr/share/tex-common/

        # debhelper stuff
        # dh_installtex(.1) is already installed via the bin_scripts
	grep -v '^[ \t]*# ' scripts/postrm-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-tex
	grep -v '^[ \t]*# ' scripts/postinst-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-tex
	grep -v '^[ \t]*# ' scripts/postrm-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-texlsr
	grep -v '^[ \t]*# ' scripts/postinst-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-texlsr

        # fontcache stuff with proper permissions
	install -d $(INSTDIR)/etc/texmf/web2c/
	install -m 644 texmf/web2c/mktex.cnf $(INSTDIR)/etc/texmf/web2c/
# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/pk
# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/tfm
# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/source

        # Remove the out-of-date ls-R file from /usr/share/texmf and create a
        # link to one in /var/lib/texmf that we can update without violating
        # the FHS (symlink created by dh_link)
	rm -f debian/$(package)/usr/share/texmf/ls-R

        # Debian-specific stuff
	install -m 644 debian/reportbug-control $(INSTDIR)/usr/share/bug/tex-common/control
	install -m 644 debian/lintian-overrides $(INSTDIR)/usr/share/lintian/overrides/tex-common


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	$(check-svn)
	dh_testroot
	dh_installdebconf 
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman $(sbin_manpages) $(bin_manpages)
	dh_link
	dh_compress
	dh_fixperms --exclude=var/cache/fonts
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

define check-svn
	@if test -d debian/.svn; then \
		echo "Please clean subversion directories."; \
		exit 1; \
	fi
endef

## tex-common 1.11

=== debian/changelog ===
tex-common (1.11) unstable; urgency=medium

  * bump version of tex-common packages built with dh_installtex to 1.10
    since it is the version that removes the tetex part (see #466036) [np]
  * And Conflict with tetex-base (<< 2007), in order to force a /complete/
    transition to texlive in lenny (closes #467330). At the same time,
    drop the conflict with tetex-bin, since tetex-base already does
    that. However, when and if we remove the tetex-base package, we need
    to find a different solution for this [fk]
  * These two changes fix RC bugs, hence the urgency [fk]
  * Another update run for debconf translations [hilmar-guest]
    - Vietnamese (Closes: #453780)
  * change the definition of TEXFORMATS to prohibit the finding of wrong
    formats (and be in sync with upstream TeX Live), and remove the trailing
    // of MFBASES and MPMEMS. [np]
  * update po files [np]
  * bump standards version to 3.7.3, no changes necessary [np]
  * move the build stuff to binary-indep, the package is arch=all [np]

 -- Frank Küster <frank@debian.org>  Wed, 16 Apr 2008 21:54:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 4.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
-Standards-Version: 3.7.2.0
+Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/
 
@@ -14,7 +14,7 @@
 Depends: ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39)
 Suggests: debhelper (>= 4.0)
 Replaces: tetex-base (<= 3.0-10)
-Conflicts: tetex-bin (<= 3.0-4), tetex-base (<= 3.0-3)
+Conflicts: tetex-base (<< 2007)
 Description: common infrastructure for building and installing TeX
  This package contains a number of scripts and common configuration
  files that are needed to install a TeX System.

=== debian/rules ===
--- 
+++ 
@@ -105,12 +105,12 @@
 	install -m 644 debian/lintian-overrides $(INSTDIR)/usr/share/lintian/overrides/tex-common
 
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	$(check-svn)
 	dh_testroot

## tex-common 1.11.2~bpo40+1

=== debian/changelog ===
tex-common (1.11.2~bpo40+1) etch-backports; urgency=low

  * backport to etch
  * no other changes necessary, but we have to make this backport to make
    building the texlive-bin source package possible

 -- Norbert Preining <preining@debian.org>  Thu, 31 Jul 2008 11:24:29 +0000

tex-common (1.11.2) unstable; urgency=medium

  * fix to the bummer release: don't copy/paste from policy without changing
    emacs to share/texmf. (Closes: #492655) (RC bug, urgency medium)

 -- Norbert Preining <preining@debian.org>  Mon, 28 Jul 2008 00:50:47 +0200

tex-common (1.11.1) unstable; urgency=medium

  * bump version of tex-common packages built with dh_installtex to 1.11
    otherwise the conflict with tetex-base is not included properly. This really
    would close #467330, but due to the disappearance of  1.10 the last
    version is also sufficient [np]
  * Create empty /usr/local/share/texmf in postinst, remove in prerm if
    empty, with code taken from the Policy manual. The decision whether
    local documentation should be in the texmf tree or in
    /usr/local/share/doc and accessed via a symlink is left to the local
    admin (closes: 475077) [fk]
  * Removed the tetex-bin-upgrade script from the source, it is not needed
    nor installed, anyway [fk]
  * register TeX on Debian and the Policy in section Debian [hp, np]
  * remove double definition of OPENTYPEFONTS in texmf.d [np]
  * fix wrong file link in Debian-TeX-Policy.sgml (Closes: #481038) 
  * Again install the README file for tpm2licenses in
    /usr/share/tex-common/ [fk]
  * Fix dh_installtex compatibility with debhelper version >= 6
    (Closes: #492604) (this is RC, so urgency=medium) [np]
  * add debhelper token to debian/prerm [np]
  * bump standards version to 3.8, no changes necessary [np]
  * use the local keyword in a policy-compliant way [np]

 -- Norbert Preining <preining@debian.org>  Sun, 27 Jul 2008 20:14:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 4.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/

## tex-common 1.11.3

=== debian/changelog ===
tex-common (1.11.3) unstable; urgency=low

  * add updated version of sv.po (Closes: #491426) [hilmar-guest]
  * fix coding error in dh_installtex's pod documentation [np]

 -- Norbert Preining <preining@debian.org>  Mon, 10 Nov 2008 07:40:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 bin_scripts=dh_installtex update-fontlang
 sbin_scripts=update-texmf
-nonbin_scripts=tpm2licenses Tpm.pm FileUtils.pm debianize-updmap
+nonbin_scripts=tpm2licenses tpm2licenses.README Tpm.pm FileUtils.pm debianize-updmap
 
 sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
 sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8)

## tex-common 1.20

=== debian/changelog ===
tex-common (1.20) unstable; urgency=low

  * after the change to tex-common's postinst script the ls-R file for
    /var/lib/texmf was not recreated, which breaks installation.
    Add this tree to the trigger call to mktexlsr (Closes: #532525)

 -- Norbert Preining <preining@debian.org>  Tue, 09 Jun 2009 22:37:03 +0200

tex-common (1.19) unstable; urgency=low

  [ Norbert Preining ]
  * change dh_installtex generated postrm code to call update-texmf-config
    only if it is present. That should be due to the policy, but it still
    might happen that tex-common is not installed bug another package
    depending on it is tried to be removed (see bug #531581).
    (Closes: #530832)
  * Remove the code in postrm that removes /usr/local/share/texmf/ls-R,
    we are not allowed to do that (policy), but we try to remove that 
    directory if it is empty. (Closes: #528021)

  [ Frank Küster ]
  * Make sure that tex-common's own postinst script does not create
    /usr/local/share/texmf/ls-R (closes: #528021)

 -- Frank Küster <frank@debian.org>  Sun, 07 Jun 2009 21:53:07 +0200

tex-common (1.18) unstable; urgency=low

  * make sure that fmtutil-sys --all and updmap-sys are called on new
    installations when tex-common is configured, since new installations
    do not trigger. This bug fixes via rebuild of texlive-base #520042,
    #520410, and via rebuild of #520449.
  * bump the dh_installtex induced dependency on tex-common to 1.18
  * rework trigger support so that new file triggers are used, but 
    the code in the maintainer scripts generated by dh_installtex 
    for updmap and language calls the new script update-texmf-config
    which simply calls the respective trigger. In the course of the
    the options map:notriggers and language:notriggers were removed
    from the possible options of dh_installtex.

 -- Norbert Preining <preining@debian.org>  Mon, 13 Apr 2009 22:33:23 +0200

tex-common (1.17) unstable; urgency=low

  * remove developer only information from debian/NEWS (Closes: #519964)
    and include the information in the changelog entry for 1.15.
  * using dh_installtex --flavor formats:build_all breaks because we
    removed the calls to update-fmtutil etc. Readd all those calls
    (Closes: #520166)
  * bump standards version to 3.8.1, no changes needed

 -- Norbert Preining <preining@debian.org>  Tue, 17 Mar 2009 21:57:47 +0100

tex-common (1.16) unstable; urgency=low

  * add mktexlsr calling code from postinst-tex to the trigger action in
    case it has never been run before. That allows fresh installations 
    to succeed. (Closes: #519701) [np]

 -- Norbert Preining <preining@debian.org>  Sat, 14 Mar 2009 16:57:24 +0100

tex-common (1.15) unstable; urgency=low

  [ Norbert Preining ]
  * upload of trigger-enabled tex-common to unstable, packages should be
    rebuild. Triggers are supported for files dropped into /etc/texmf/updmap.d
    and /etc/texmf/language.d, i.e., for calls to updmap-sys
    and fmtutil-sys (when hyphenation patterns are used). If packages
    need to install fonts/hyphenation patterns and need them active
    in the postinst already, it should call dh_installtex with 
      --flavor=map:notriggers
    or
      --flavor=language:notriggers
    Until all packages have been rebuilt with the new dh_installtex
    updmap-sys and fmtutil-sys will be called two times.
  * remove references to teTeX from the man pages (Closes: #486369)
  * bump dh compat level to 5, adjust debian/control
  * add ${misc:Depends} to dependencies

  [ Jan Hauke Rahm ]
  * make debhelper's '--with' option available for tex-common. dh_installtex
    can now be integrated in debian/rules via 'dh install --with tex' when
    using compat 7

 -- Norbert Preining <preining@debian.org>  Tue, 10 Mar 2009 18:36:33 +0100

tex-common (1.14) experimental; urgency=low

  * fix coding error in dh_installtex's pod documentation [np]
  * updated Romanian translation (ro.po) (Closes: #506038)
    [hilmar-guest]
  * add a fix for dh_installtex to work with debhelper >= 7.1.0 (experimental)
    (Closes: #507365) (patch from Roderich Schupp) [np]

 -- Norbert Preining <preining@debian.org>  Mon, 01 Dec 2008 17:31:26 +0100

tex-common (1.13) experimental; urgency=low

  * bump standards version to 3.8.0, no changes necessary [np]
  * use the local keyword in policy compliant way [np]
  * replace emacs with share/texmf in postinst.in [np]
  * add updated version of sv.po (Closes: #491426) [hilmar-guest]
  * Fix dh_installtex compatibility with debhelper version >= 6
    (Closes: #492604) [np]

 -- Norbert Preining <preining@debian.org>  Sat, 02 Aug 2008 13:04:18 +0200

tex-common (1.12) experimental; urgency=low

  * bump version of tex-common packages built with dh_installtex to 1.11
    otherwise the conflict with tetex-base is not included properly. This really
    would close #467330, but due to the disappearance of  1.10 the last
    version is also sufficient [np]
  * Create empty /usr/local/share/texmf in postinst, remove in prerm if
    empty, with code taken from the Policy manual. The decision whether
    local documentation should be in the texmf tree or in
    /usr/local/share/doc and accessed via a symlink is left to the local
    admin (closes: 475077) [fk]
  * Removed the tetex-bin-upgrade script from the source, it is not needed
    nor installed, anyway [fk]
  * register TeX on Debian and the Policy in section Debian [hp, np]
  * remove double definition of OPENTYPEFONTS in texmf.d [np]
  * fix wrong file link in Debian-TeX-Policy.sgml (Closes: #481038) 
  * Again install the README file for tpm2licenses in
    /usr/share/tex-common/ [fk]
  * implement support for triggers for /etc/texmf/updmap.d and
    /etc/texmf/language.d [np]

 -- Norbert Preining <preining@debian.org>  Mon, 02 Jun 2008 16:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 4.0.0), po-debconf
+Build-Depends: debhelper (>= 5.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/
 
 Package: tex-common
 Architecture: all
-Depends: ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39)
-Suggests: debhelper (>= 4.0)
+Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
+Suggests: debhelper (>= 7.0.8)
 Replaces: tetex-base (<= 3.0-10)
 Conflicts: tetex-base (<< 2007)
 Description: common infrastructure for building and installing TeX

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 INSTDIR=$(CURDIR)/debian/tex-common
 
 bin_scripts=dh_installtex update-fontlang
-sbin_scripts=update-texmf
+sbin_scripts=update-texmf update-texmf-config
 nonbin_scripts=tpm2licenses tpm2licenses.README Tpm.pm FileUtils.pm debianize-updmap
 
 sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
@@ -87,6 +87,7 @@
 	grep -v '^[ \t]*# ' scripts/postinst-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-tex
 	grep -v '^[ \t]*# ' scripts/postrm-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-texlsr
 	grep -v '^[ \t]*# ' scripts/postinst-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-texlsr
+	cp scripts/tex.pm $(INSTDIR)/usr/share/perl5/Debian/Debhelper/Sequence/
 
         # fontcache stuff with proper permissions
 	install -d $(INSTDIR)/etc/texmf/web2c/

## tex-common 2.06

=== debian/changelog ===
tex-common (2.06) unstable; urgency=high

  * call mktexlsr with list of trees in lsr trigger action (Closes: #564457)

 -- Norbert Preining <preining@debian.org>  Tue, 12 Jan 2010 20:32:14 +0900

tex-common (2.05) unstable; urgency=low

  * update language.def based formats in the texmf-hyphen trigger option,
    otherwise updating hyphenation patterns does not have any effect on
    those formats (Closes: #562918)

 -- Norbert Preining <preining@debian.org>  Tue, 29 Dec 2009 17:48:08 +0900

tex-common (2.04) unstable; urgency=low

  * fix bug in dh_installtex that added a rogue newline in hyphenation
    definitions, thanks Danai (Closes: #562783)

 -- Norbert Preining <preining@debian.org>  Mon, 28 Dec 2009 07:05:31 +0900

tex-common (2.03) unstable; urgency=low

  * only call fmtutil-sys in postinst if texlive-base is configured
    (Closes: #560854)

 -- Norbert Preining <preining@debian.org>  Sun, 13 Dec 2009 07:50:25 +0900

tex-common (2.02) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 09 Dec 2009 23:44:02 +0900

tex-common (2.01) experimental; urgency=low

  * Remove setting of MPXCOMMAND. MetaPost in TeXLive 2009 no longer needs
    it, and is broken when it is set. [fk]
  * postinst trigger action: run updmap sys action only if texlive-base
    installed since otherwise updmap-sys will break
  * bump standards version to 3.8.3
  * bump depends to << 2009 (there was no 2008 anyway)

 -- Norbert Preining <preining@debian.org>  Thu, 03 Dec 2009 22:32:27 +0900

tex-common (2.00) experimental; urgency=low

  * new experimental branch for changes necessary to support TeX Live 2008
    and later that introduced hyphenation pattern support for etex based
    formats. language.def is now managed like language.dat.
    - add support for generating language.def to update-fontlang
    - install those scripts as update-language-def and update-language-dat
    - make update-language work as calling both of the above
    - adjust dh_installtex to accept new syntax
  * Make the wording of the warning message in postrm-texlsr broader,
    since there are a couple of reasons why this can fail
  * postrm's generated by dh_installtex now no longer assume that
    tex-common is installed when the package is removed. After a rebuild
    of texlive, this will fix #531581.
  * Update some texmf.cnf settings for TeXLive 2009. Before uploading to
    unstable, this needs a closer inspection (in particular, comment
    changes possibly cluttering diffs.
  * Add a Conflicts on old texlive-common, in order to force an upgrade of
    all the packages in one bunch.
  * implement trigger support for mktexlsr

 -- Frank Küster <frank@debian.org>  Thu, 15 Oct 2009 10:22:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/
 
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
 Suggests: debhelper (>= 7.0.8)
 Replaces: tetex-base (<= 3.0-10)
-Conflicts: tetex-base (<< 2007)
+Conflicts: tetex-base (<< 2007), texlive-common (<< 2009)
 Description: common infrastructure for building and installing TeX
  This package contains a number of scripts and common configuration
  files that are needed to install a TeX System.

## tex-common 2.06maemo1

=== debian/changelog ===
tex-common (2.06maemo1) fremantle; urgency=high

  * Maemo port of Ubuntu karmic version
  * update-texmf-config: triggers --by-package tex-common 

 -- Thomas Tanner <tanner@maemory.com>  Fri, 22 Jan 2010 00:00:00 +0100

## tex-common 2.06maemo2

=== debian/changelog ===
tex-common (2.06maemo2) fremantle; urgency=high

  * postinst.in: don't fail if texlive-base is not known
  * auto-optify

 -- Thomas Tanner <tanner@maemory.com>  Fri, 22 Jan 2010 00:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Thomas Tanner <tanner@maemory.com>
+XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl

## tex-common 2.06maemo3

=== debian/changelog ===
tex-common (2.06maemo3) fremantle; urgency=high

  * postinst.in: don't fail if texlive-base is not known (fix second occurence, urgh!)

 -- Thomas Tanner <tanner@maemory.com>  Fri, 22 Jan 2010 00:00:00 +0100

## tex-common 2.06maemo4

=== debian/changelog ===
tex-common (2.06maemo4) fremantle; urgency=high

  * postinst.in: fix typo
  * explicit maemo-optify
  * drop debconf dependency

 -- Thomas Tanner <tanner@maemory.com>  Fri, 22 Jan 2010 00:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: tex-common
 Architecture: all
-Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
+Depends: ${misc:Depends}, ucf, dpkg (>= 1.14.18)
 Suggests: debhelper (>= 7.0.8)
 Replaces: tetex-base (<= 3.0-10)
 Conflicts: tetex-base (<< 2007), texlive-common (<< 2009)

## tex-common 2.06maemo5

=== debian/changelog ===
tex-common (2.06maemo5) fremantle; urgency=high

  * postinst.in, scripts/: workaround device limitations + bugs
    (broken mktemp, xargs has no -0 option, no bash)

 -- Thomas Tanner <tanner@maemory.com>  Sun, 24 Jan 2010 00:00:00 +0100

## tex-common 2.06maemo6

=== debian/changelog ===
tex-common (2.06maemo6) fremantle; urgency=high

  * postinst.in: don't use the broken ucf for now
  * preinst.in: move caches to /home partition

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
 bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) 
 
-nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script)) texmf/web2c/mktex.cnf
+nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script)) \
+	texmf/web2c/mktex.cnf scripts/language.def.header \
+	scripts/language.dat.header
 
 # create maintainer scripts etc.
 EPERL_FILES := debian/common.functions debian/postinst debian/postrm debian/config debian/preinst
@@ -58,6 +60,7 @@
 
         # Add here commands to clean up after the build process.
 	cd doc; $(MAKE) clean
+	-rm scripts/dh_installtex.1
 	-rm $(EPERL_FILES)
 	debconf-updatepo
 
@@ -72,7 +75,7 @@
         # Add here commands to install the package into debian/tex-common.
 	cd doc; $(MAKE) install DESTDIR=$(INSTDIR)/usr/share/doc/tex-common
 	cp conf/fmt.d/00tex.cnf $(INSTDIR)/etc/texmf/fmt.d/
-	cp conf/language.d/00tex.cnf $(INSTDIR)/etc/texmf/language.d/
+	cp conf/hyphen.d/00tex.cnf $(INSTDIR)/etc/texmf/hyphen.d/
         # ucf files
 	cp conf/texmf.d/*cnf $(INSTDIR)/usr/share/tex-common/
 	cp conf/updmap.d/00updmap.cfg $(INSTDIR)/usr/share/tex-common/
@@ -85,8 +88,6 @@
         # dh_installtex(.1) is already installed via the bin_scripts
 	grep -v '^[ \t]*# ' scripts/postrm-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-tex
 	grep -v '^[ \t]*# ' scripts/postinst-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-tex
-	grep -v '^[ \t]*# ' scripts/postrm-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-texlsr
-	grep -v '^[ \t]*# ' scripts/postinst-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-texlsr
 	cp scripts/tex.pm $(INSTDIR)/usr/share/perl5/Debian/Debhelper/Sequence/
 
         # fontcache stuff with proper permissions
@@ -115,7 +116,7 @@
 	dh_testdir
 	$(check-svn)
 	dh_testroot
-	dh_installdebconf 
+	#dh_installdebconf 
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
@@ -126,6 +127,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify tex-common
 	dh_md5sums
 	dh_builddeb

## tex-common 2.06maemo7

=== debian/changelog ===
tex-common (2.06maemo7) fremantle; urgency=high

  * undo optification - breaks configuration
  * move caches to /opt/tex-common/
  * postinst.in, update-texmf: use ucf
  * control: require lastest fixed ucf
  * update-texmf: create tmpdir

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100

## tex-common 2.06maemo8

=== debian/changelog ===
tex-common (2.06maemo8) fremantle; urgency=high

  * postinst.in, preinst.in: replace remaining occurences of bogus mktemp

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -127,7 +127,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify tex-common
+	#maemo-optify tex-common
 	dh_md5sums
 	dh_builddeb

## tex-common 2.06maemo9

=== debian/changelog ===
tex-common (2.06maemo9) fremantle; urgency=high

  * postinst.in, preinst.in: enable debugging output

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100

## tex-common 2.06maemo10

=== debian/changelog ===
tex-common (2.06maemo10) fremantle; urgency=high

  * update-texmf: fix TMPDIR=/tmp

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: tex-common
 Architecture: all
-Depends: ${misc:Depends}, ucf, dpkg (>= 1.14.18)
+Depends: ${misc:Depends}, ucf (>= 1.17-1osso2), dpkg (>= 1.14.18)
 Suggests: debhelper (>= 7.0.8)
 Replaces: tetex-base (<= 3.0-10)
 Conflicts: tetex-base (<< 2007), texlive-common (<< 2009)

## tex-common 2.06maemo11

=== debian/changelog ===
tex-common (2.06maemo11) fremantle; urgency=high

  * pre/postinst: disable debugging

 -- Thomas Tanner <tanner@maemory.com>  Tue, 26 Jan 2010 00:00:00 +0100

## tex-common 2.06maemo12

=== debian/changelog ===
tex-common (2.06maemo12) fremantle; urgency=high

  * pre/postinst/scripts: create and use /opt/tmp as TMPDIR

 -- Thomas Tanner <tanner@maemory.com>  Thu, 28 Jan 2010 00:00:00 +0100

## tex-common 2.06ubuntu0.1

=== debian/changelog ===
tex-common (2.06ubuntu0.1) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via crafted TeX document
    - conf/texmf.d/95NonPath.cnf: disable shell_escape completely as in
      Debian 2.08.1 version.
    - CVE-2011-1400

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Apr 2011 10:11:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: Thomas Tanner <tanner@maemory.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
@@ -12,7 +12,7 @@
 
 Package: tex-common
 Architecture: all
-Depends: ${misc:Depends}, ucf (>= 1.17-1osso2), dpkg (>= 1.14.18)
+Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
 Suggests: debhelper (>= 7.0.8)
 Replaces: tetex-base (<= 3.0-10)
 Conflicts: tetex-base (<< 2007), texlive-common (<< 2009)

## tex-common 2.08

=== debian/changelog ===
tex-common (2.08) unstable; urgency=low

  * include again 80DVIPDFMx.cnf and replace dvipdfmx (if it is still there)
    to make it search for cmaps (Closes: #572921)
    (patch by YOSHINO Yoshihito)
  * put TeX-on-Debian into doc-base section Typesetting (Closes: #536343)

 -- Norbert Preining <preining@debian.org>  Wed, 09 Jun 2010 01:32:21 +0900

tex-common (2.07) unstable; urgency=high

  * reword the language.{dat,def} trigger action's message to include
    the name of the base format (Closes: #566915)
  * convert some files to UTF8
  * work around an under-specification of dpkg-query that makes the calls
    to it in the configure script break configuration, and thus creates
    FTBFS of unrelated packages (Closes: #571334)
  * bump standards version to 3.8.4, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 28 Feb 2010 13:13:35 +0900

## tex-common 2.08ubuntu0.1

=== debian/changelog ===
tex-common (2.08ubuntu0.1) maverick-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via crafted TeX document
    - conf/texmf.d/95NonPath.cnf: disable shell_escape completely as in
      Debian 2.08.1 version.
    - CVE-2011-1400

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Apr 2011 09:52:29 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/
 
@@ -14,7 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
 Suggests: debhelper (>= 7.0.8)
-Replaces: tetex-base (<= 3.0-10)
+Replaces: tetex-base (<= 3.0-10), dvipdfmx
 Conflicts: tetex-base (<< 2007), texlive-common (<< 2009)
 Description: common infrastructure for building and installing TeX
  This package contains a number of scripts and common configuration

=== debian/rules ===
--- 
+++ 
@@ -116,7 +116,7 @@
 	dh_testdir
 	$(check-svn)
 	dh_testroot
-	#dh_installdebconf 
+	dh_installdebconf 
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
@@ -127,7 +127,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	#maemo-optify tex-common
 	dh_md5sums
 	dh_builddeb

## tex-common 2.08.1

=== debian/changelog ===
tex-common (2.08.1) stable-security; urgency=high

  * disable shell_escape completely

 -- Norbert Preining <preining@debian.org>  Fri, 18 Feb 2011 02:12:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl

## tex-common 2.09

=== doc/Makefile ===
DESTDIR = /usr/share/doc/tex-common
TDS_VERSION = 1.1

CLEANFILES = Debian-TeX-Policy.txt Debian-TeX-Policy.html Debian-TeX-Policy.tpt TeX-on-Debian.txt TeX-on-Debian.html TeX-on-Debian.tpt

all: policy-txt policy-html policy-pdf tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf

policy-txt: Debian-TeX-Policy.txt
policy-pdf: Debian-TeX-Policy.pdf
policy-html: Debian-TeX-Policy.html

Debian-TeX-Policy.txt: Debian-TeX-Policy.sgml version.ent
	debiandoc2text Debian-TeX-Policy.sgml

Debian-TeX-Policy.html: Debian-TeX-Policy.sgml version.ent
	-rm -r $@
	debiandoc2html Debian-TeX-Policy.sgml

Debian-TeX-Policy.pdf: Debian-TeX-Policy.sgml version.ent texify-tex-output
	debiandoc2latexpdf -s ./texify-tex-output Debian-TeX-Policy.sgml

tex-on-debian-txt: TeX-on-Debian.txt
tex-on-debian-html: TeX-on-Debian.html
tex-on-debian-pdf: TeX-on-Debian.pdf

TeX-on-Debian.txt: TeX-on-Debian.sgml
	debiandoc2text TeX-on-Debian.sgml

TeX-on-Debian.html: TeX-on-Debian.sgml
	debiandoc2html TeX-on-Debian.sgml

TeX-on-Debian.pdf: TeX-on-Debian.sgml texify-tex-output
	debiandoc2latexpdf -s ./texify-tex-output TeX-on-Debian.sgml

get-tds:
	wget ftp://www.tug.org/tex/tds.tar.gz
	tar -xzf tds.tar.gz
	rm tds.tar.gz

tds-all:
	cd tds-$(TDS_VERSION); make tds.pdf
	cd tds-$(TDS_VERSION); make tds.dvi
	cd tds-$(TDS_VERSION); make tds.html

install: 
	install -d $(DESTDIR)
	cp Debian-TeX-Policy.txt $(DESTDIR)/
	cp Debian-TeX-Policy.pdf $(DESTDIR)/
	cp -R Debian-TeX-Policy.html $(DESTDIR)/
	cp TeX-on-Debian.txt $(DESTDIR)/
	cp TeX-on-Debian.pdf $(DESTDIR)/
	cp -R TeX-on-Debian.html $(DESTDIR)/
	ln -s TeX-on-Debian.txt $(DESTDIR)/README.Debian.txt
	ln -s TeX-on-Debian.pdf $(DESTDIR)/README.Debian.pdf
	ln -s TeX-on-Debian.html/index.html $(DESTDIR)/README.Debian.html
	cp obsolete-tex-files.txt $(DESTDIR)/

	cp tds-$(TDS_VERSION)/tds.pdf $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.dvi $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.html $(DESTDIR)/

clean: tds-clean
	-rm -r $(CLEANFILES)

tds-clean:
	-rm tds-$(TDS_VERSION)/tds.texi*

allclean: clean
	-rm  Debian-TeX-Policy.pdf
	-rm  TeX-on-Debian.pdf

.PHONY: all install clean allclean \
        policy-txt policy-html policy-pdf \
        tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf

=== debian/changelog ===
tex-common (2.09) unstable; urgency=high

  * fix creation of ls-R files in /usr/local/share/texmf by updmap-sys
    which is called in the trigger section of tex-common's postinst.
    This fixes a policy violation. (Closes: #607857)
  * update Danish translation (Closes: #608423)
  * disable shell escape completely (fix for CVE-2011-1400, DSA-2198-1)
  * bump standards version to 3.9.1, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 23 Mar 2011 09:42:02 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/

## tex-common 2.10

=== debian/changelog ===
tex-common (2.10) unstable; urgency=low

  [ Norbert Preining ]
  * generated postrm code does not remove metapost format since the engine
    was not rewritten, fix that with a special case in dh_installtex 
    (needs rebuild of texlive-metapost, context) (Closes: #619358)
  * bump standards version to 3.9.2, no changes needed

  [ Frank Küster ]
  * double-escape backslash in a printf string, thanks to Steve Langasek
    <vorlon@debian.org> (closes: #622938)

 -- Norbert Preining <preining@debian.org>  Sun, 26 Jun 2011 09:00:08 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/
